/*! 
    \file event_def.h
    \brief some central definitions

*/

#ifndef _EVENT_DEF_H
#define _EVENT_DEF_H

#include "SDL_keysym.h"
#include "stdincl.h"


#define CMD_LENGHT 16
#define N_STD_KEYS SDLK_LAST
#define N_BUTTONS 6
#define DEFAULT_KEYBIND_FILE "~/.orxonox/orxonox.conf"

#define EVENT_QUEUE_LENGTH 32


typedef enum extEventTyes
  {
    EV_MOUSE_BUTTON_LEFT = SDLK_LAST,
    EV_MOUSE_BUTTON_MIDDLE,
    EV_MOUSE_BUTTON_RIGHT,
    EV_MOUSE_BUTTON_WHEELUP,
    EV_MOUSE_BUTTON_WHEELDOWN,
    EV_MOUSE_MOTION,
    EV_JOY_AXIS_MOTION,
    EV_JOY_BALL_MOTION,
    EV_JOY_HAT_MOTION,
    EV_JOY_BUTTON,

    EV_NUMBER
  };



typedef enum elState
  {
    ES_GAME,
    ES_GAME_MENU,
    ES_MENU,

    ES_ALL,

    ES_NUMBER,
  };


#endif /* _EVENT_DEF_H */
